using System;
using Server;
using Server.Items;
using Server.Misc;

namespace Server.Mobiles
{
	[CorpseName( "a krakoan corpse" )]
	public class Krakoa : BaseCreature
	{
		[Constructable]
		public Krakoa() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a krakoa";
			Body = 163;
			BaseSoundID = 353;

			SetStr( 536, 585 );
			SetDex( 126, 145 );
			SetInt( 281, 305 );

			SetHits( 322, 351 );

			SetDamage( 13, 16 );

			SetSkill( SkillName.MagicResist, 80.2, 110.0 );
			SetSkill( SkillName.Tactics, 80.2, 110.0 );
			SetSkill( SkillName.HandToHand, 80.2, 110.0 );

			Fame = 11500;
			Karma = -11500;

			VirtualArmor = 40;

			CanSwim = true;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich );
			AddLoot( LootPack.Average );
		}

		public override bool BleedImmune{ get{ return true; } }
		public override int Hides{ get{ return 18; } }
		public override int Meat{ get{ return 20; } }
		public override MeatType MeatType{ get{ return MeatType.Fish; } }

		public Krakoa( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}